package com.ff.base.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 优惠领取小类
 *
 * @author liukang
 * @date 2024/12/21
 */
@Getter
@AllArgsConstructor
public enum DiscountReceiveSmallType {

    SMALLTYPE_1("1",  "VIP晋级奖励"),
    SMALLTYPE_2("2",  "VIP日俸禄"),
    SMALLTYPE_3("3",  "VIP周俸禄"),
    SMALLTYPE_4("4",  "VIP月俸禄"),

    SMALLTYPE_5("5",  "新人福利(注册账号)"),
    SMALLTYPE_6("6",  "新人福利(首次绑定银行卡)"),
    SMALLTYPE_7("7",  "新人福利(设置生日)"),
    SMALLTYPE_8("8",  "新人福利(设置取款密码)"),
    SMALLTYPE_9("9",  "新人福利(设置密保)"),
    SMALLTYPE_10("10",  "新人福利(利息宝首存)"),
    SMALLTYPE_11("11",  "新人福利(设置头像)"),
    SMALLTYPE_12("12",  "新人福利(短信验证)"),
    SMALLTYPE_13("13",  "新人福利(设置Google验证器)"),
    SMALLTYPE_14("14",  "新人福利(注册首存)"),
    SMALLTYPE_15("15",  "新人福利(首次下载安装并登录APP)"),
    SMALLTYPE_16("16",  "新人福利(邮箱验证)"),
    SMALLTYPE_17("17",  "新人福利(保存桌面快捷方式)"),
    SMALLTYPE_18("18",  "新人福利(首次绑定数字货币)"),
    SMALLTYPE_19("19",  "新人福利(添加提现账户)"),
    SMALLTYPE_20("20",  "新人福利(首次提现)"),
    SMALLTYPE_21("21",  "新人福利(设置任意联系方式)"),

    SMALLTYPE_22("22",  "每日任务"),
    SMALLTYPE_23("23",  "每周任务"),
    SMALLTYPE_24("24",  "神秘任务"),
    SMALLTYPE_25("25",  "推广活动"),
    SMALLTYPE_26("26",  "有奖反馈"),
    SMALLTYPE_27("27",  "活跃度宝箱"),
    SMALLTYPE_28("28",  "充值活动"),
    SMALLTYPE_29("29",  "打码活动"),
    SMALLTYPE_30("30",  "返水活动");

    private final String smallType;
    private final String info;

    public static DiscountReceiveSmallType getDiscountReceiveSmallTypeByType(String smallType)
    {
        for (DiscountReceiveSmallType item : DiscountReceiveSmallType.values()) {
            if(item.getSmallType().equals(smallType)) {
                return item;
            }
        }
        return null;
    }

}
